Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003083Piwigoweb APIpublic2014.05.23 12:592014.09.22 11:29
Reporterplg 
Assigned Toplg 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.6.2 
Target Version2.7.0Fixed in Version2.7.0 
Summary0003083: publish supported file types for upload
DescriptionRequest by alloyphoto (Piwigo export plugin for Lightroom)

> In version 2.6.0 you added support for TIFF files, and I know some
> customers wan to be able to upload TIFF from Lightroom.
>
> But there is an issue here - TIFF is only allowed if the user has
> ImageMagic on the server and Piwigo is configured to use it. I can
> allow customers to upload TIFF, however I can't know in advance
> whether TIFF would be accepted. There is no API call that can tell
> me what file types are supported.
>
> Is there a way to add information about supported file types to the
> getInfos call?

We should add this info in pwg.session.getStatus
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0007631)
svn (reporter)
2014.09.22 11:29

[Subversion] r29729 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 3083: return the upload_file_types in pwg.session.getStatus (list of file extension, comma separated)

- Issue History
Date Modified Username Field Change
2014.05.23 12:59 plg New Issue
2014.05.23 12:59 plg Status new => assigned
2014.05.23 12:59 plg Assigned To => plg
2014.05.23 12:59 plg browser => any
2014.05.23 12:59 plg Web server => Apache 1.3.x
2014.08.24 19:00 plg Target Version 2.7.0beta1 => 2.7.0RC2
2014.09.16 12:00 plg Target Version 2.7.0RC2 => 2.7.0
2014.09.22 11:29 svn Checkin
2014.09.22 11:29 svn Note Added: 0007631
2014.09.22 11:29 plg Status assigned => closed
2014.09.22 11:29 plg Resolution open => fixed
2014.09.22 11:29 plg Fixed in Version => 2.7.0


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker